<?
class menu_inicio {

	// OBJETOS DE LA CLASE
	var $conexionObj2;
	function menu2($id_user,$id_sucursal){
		$this->conexionObj2 = new conexion();
		$this->conexionObj2->conectarse();

		$sql_perfil=$this->conexionObj2->consultar("SELECT id_perfil FROM usuarios where id_usuario='".$id_user."'");
		$row_perfil=mysql_fetch_array($sql_perfil);
		$_SESSION['perfil']=$row_perfil[0];


		if ($_SESSION['perfil']=='5'){
			$sql_menu_func=$this->conexionObj2->consultar("SELECT id_funcionalidad FROM menu_contacto where id_funcionalidad!=0 and id_usuario='".$id_user."'");

			while ($row_menu_func=mysql_fetch_array($sql_menu_func)){
				$func_cadena=$func_cadena.$row_menu_func[0].',';
			}
			$func_cadena = substr($func_cadena,0,-1);
			$pregunta=" id in (".$func_cadena.")";
			$sql_menu_titulo=$this->conexionObj2->consultar("SELECT * FROM menu where id=23");
		}

                if ($_SESSION['perfil']=='1'){                    
                  $sql_menu_titulo=$this->conexionObj2->consultar("SELECT id as id_menu,nombre FROM menu ");			                  
                  }
		
                  if ($_SESSION['perfil']=='3'){                    
                  $sql_menu_titulo=$this->conexionObj2->consultar("SELECT * FROM menu_usuario AS a INNER JOIN menu AS b ON a.id_menu=b.id where id_usuario='".$id_user."'");
                  }

		$sql_perfil=$this->conexionObj2->consultar("SELECT id_perfil FROM usuarios where id_usuario='".$id_user."'");

		$id_sucursal;
		$id_user;
		$row=mysql_num_rows($sql_menu_titulo);
		echo"<TABLE width=187>";
		echo "<TR class=miTable_tr>";
		echo "<TD class=miTitulo>Sistema WEBSIM GAMMA</TD>";
		echo "</TR></TABLE>";
		while ($row_menu_titulo=mysql_fetch_array($sql_menu_titulo)){
			$id_menu=$row_menu_titulo['id_menu'];
			echo "<TABLE width=187><TR class=miTable_tr><TH class=miImage><a href=javascript:toggle('".$id_menu."') onKeyPress='".$_SESSION['1']=$id_menu."' class='sublevel2'>".$row_menu_titulo['nombre']."</a></TH></TR></TABLE>";
			if ($_SESSION['perfil']=='5'){
				$sql_idmenu=$this->conexionObj2->consultar("SELECT * FROM menu_dinamico WHERE ".$pregunta." order by id" );
			}else{
				$sql_idmenu=$this->conexionObj2->consultar("SELECT * FROM menu_dinamico WHERE id_menu='".$id_menu."' order by id");
			}


			if($_GET['id_menu']!=$id_menu){
				$prop="id='".$id_menu."'";
				echo '<div '.$prop.' style="display: none">';
			}else{
				$_SESSION['session_menu']=$id_menu;
				$prop='';
				echo '<div '.$prop.'>';
			}

			while ($rows_idmenu=mysql_fetch_array($sql_idmenu)){
				$tooltips=$rows_idmenu['descripcion'];//<img src="images/sm-duck.gif" width="90" height="44" alt="" border="0">
				echo "<TABLE width=187><TR class=miTable_tr><TD class=miImage2><a href='".trim($rows_idmenu['script'])."?id_user=$id_user&suc=$id_sucursal&id_menu=$id_menu' class=sublevel title='cssbody=[dvbdy1] cssheader=[dvhdr1] body=[".$tooltips."] fade=[on] fadespeed=[0.03]'>".$rows_idmenu['funcionalidad']."</a></TD></TR></TABLE>";
			}
			echo '</div>';
		}
		echo"<TABLE width=187><TR>";
		echo"<TH><a href=\"index.php\"><font color=#0143A7><div align=right><img src=imagenes/recursos/eliminar.png border=0><font class=titulo6>&nbsp;Salir</div></font></a></TH>";
		echo"</TR>";
     echo"</TABLE>";?>

	 <?
	}
}

class todos_usuarios{

	var $conexionObj2;
	function get_usuarios($id_user){
		$this->conexionObj2=new conexion();
		$this->conexionObj2->conectarse();
		$rst_get_usuarios=$this->conexionObj2->consultar("SELECT id_usuario, nombre FROM usuarios WHERE usertype != '1' or id_usuario = '".$id_user."'");
		while($row_get_usuarios=mysql_fetch_array($rst_get_usuarios)){
			echo "<option value=".$row_get_usuarios['id']." ";
			if($id_user==$row_get_usuarios['id'])
			echo "selected='selected'";
			echo ">".$row_get_usuarios['nombre']."</option>";
			//echo"<option value=".$row_get_usuarios['id'].">".$row_get_usuarios['nombre']."</option>";
		}
	}

}

class all_users{

	var $conexionObj2;
	function get_usuarios($id_user){
		$this->conexionObj2=new conexion();
		$this->conexionObj2->conectarse();
		$rst_get_usuarios=$this->conexionObj2->consultar("SELECT id_usuario, nombre FROM usuarios WHERE estado = '1' OR (id_usuario != '1' OR id_usuario = '".$id_user."') ");
		while($row_get_usuarios=mysql_fetch_array($rst_get_usuarios)){
			echo"<option value=".$row_get_usuarios['id_usuario'].">".$row_get_usuarios['nombre']."</option>";
		}
	}

}

class select_usuarios{

	var $conexionObj2;
	function elimina_usuarios($id_user){
		$this->conexionObj2=new conexion();
		$this->conexionObj2->conectarse();
		if($id_user==1){
			$rst_select_usuarios=$this->conexionObj2->consultar("SELECT id, nombre, username FROM usuarios WHERE id !=1");
		}else{
			$rst_select_usuarios=$this->conexionObj2->consultar("SELECT id, nombre, username FROM usuarios WHERE usertype !=1");
		}

		while($row_select_usuarios=mysql_fetch_array($rst_select_usuarios)){
			echo "<tr class=miTable_tr>";
			echo "<td valign=top class=miTable_td>".$row_select_usuarios['nombre']."</td>";
			echo "<td valign=top class=miTable_td>".$row_select_usuarios['username']."</td>";
			echo "<td valign=top class=miTable_td>";
					?>
					<A HREF="../trabajo/usuario_eliminar.php?id=<?php echo"".$row_select_usuarios['id']."";?>", onClick="window.open('usuario_eliminar.php?id=<?php echo"".$row_select_usuarios['id']."";?>','window','width=300,height=150'); return false">Borrar</a>
					<?
					echo "</td>";
					//echo "<A HREF='ejecuta_eliminar_cliente.php?id=".$row_select_usuarios['id']."', onClick='window.open('ejecuta_eliminar_cliente.php?id=".$row_select_usuarios['id']."','window','width=300,height=150'); return false'>Borrar</a>";
		}
	}

}

class select_lotes{

	var $conexionObj2;
	function elimina_lotes($inicio,$tamano_pagina,$suc,$perfil,$add){
		$this->conexionObj2=new conexion();
		$this->conexionObj2->conectarse();
		echo $add;
		//echo "SELECT * FROM lote LIMIT $inicio,$tamano_pagina";
		$rst_select_lotes=$this->conexionObj2->consultar("SELECT u.id_usuario, u.nombre, u.direccion, u.usuario, u.id_sucursal, s.nombre as nom_suc,c.nombre as nom_cli, u.estado, u.id_perfil, u.telefono, u.password  FROM usuarios as u inner join sucursales as s on (u.id_sucursal=s.id_sucursal)
			   inner join clientes as c on (u.id_cliente=c.id_cliente) $add order by u.id_usuario LIMIT $inicio,$tamano_pagina");
		//$rst_select_lotes2="SELECT u.id_usuario, u.nombre, u.direccion, u.usuario, u.id_sucursal, s.nombre as nom_suc, u.estado, u.id_perfil  FROM usuarios as u inner join sucursales as s on (u.id_sucursal=s.id_sucursal) $add order by u.id_usuario LIMIT $inicio,$tamano_pagina";
		//echo $rst_select_lotes2;
		$i=0;
		while($row_select_lotes=mysql_fetch_array($rst_select_lotes)){
			$i++;
			echo "<tr class=miTable_tr>";
			echo "<td valign=top class=miTable_td>".$row_select_lotes['nombre']."</td>";
			echo "<td valign=top class=miTable_td nowrap>".$row_select_lotes['direccion']."</td>";
			echo "<td valign=top class=miTable_td>".$row_select_lotes['usuario']."</td>";
			echo "<td valign=top class=miTable_td nowrap>".$row_select_lotes['nom_suc']."</td>";
			echo "<td valign=top class=miTable_td nowrap>".$row_select_lotes['nom_cli']."</td>";
			echo "<td valign=top class=miTable_td>";
			if($row_select_lotes['estado']==1){ print "Activo";}else{ print "Inactivo"; } echo "</td>";
			echo "<td valign=top class=miTable_td>";
			if($row_select_lotes['id_perfil']==5){ print "Cliente";}else{ print "Usuario"; } echo "</td>";
			echo "<td valign=middle class=miTable_td>";
					?>
<a href='ejecuta_usuario.php?id_usuario=<? echo "".$row_select_lotes['id_usuario']."";?>&tipo=1' onClick="window.open('ejecuta_usuario.php?id_usuario=<? echo "".$row_select_lotes['id_usuario']."";?>&tipo=1&nombre=<? echo "".$row_select_lotes['nombre']."";?>&dir=<? echo "".$row_select_lotes['direccion']."";?>&tel=<? echo "".$row_select_lotes['telefono']."";?>&usuario=<? echo "".$row_select_lotes['usuario']."";?>&password=<? echo "".$row_select_lotes['password']."";?>&estado=<? echo "".$row_select_lotes['estado']."";?>&perfil2=<? echo "".$row_select_lotes['id_perfil']."";?>&suc=<? echo "".$row_select_lotes['id_sucursal']."";?>', 'window','width=350,height=300'); return false">
<center><img src='imagenes/reload_.gif'></center></a></td>
<td valign=middle width='50' class=miTable_td>
<? if($row_select_lotes['id_perfil']!=1){ ?>
<a href='ejecuta_usuario.php?id_usuario=<? echo "".$row_select_lotes['id_usuario']."";?>&tipo=2' onClick="window.open('ejecuta_usuario.php?id_usuario=<? echo "".$row_select_lotes['id_usuario']."";?>&tipo=2&nombre=<? echo "".$row_select_lotes['nombre']."";?>&dir=<? echo "".$row_select_lotes['direccion']."";?>&tel=<? echo "".$row_select_lotes['telefono']."";?>&usuario=<? echo "".$row_select_lotes['usuario']."";?>&password=<? echo "".$row_select_lotes['password']."";?>&estado=<? echo "".$row_select_lotes['estado']."";?>&perfil2=<? echo "".$row_select_lotes['id_perfil']."";?>&suc=<? echo "".$row_select_lotes['id_sucursal']."";?>', 'window','width=350,height=300'); return false">
<img src='imagenes/del.gif'></a>
<?
print"<input type=checkbox id='del_user' name='del_user[$i]' value='".$row_select_lotes['id_usuario']."' class=inputbox ></td>";
}//fin del si es admon
//echo "<A HREF='ejecuta_eliminar_cliente.php?id=".$row_select_usuarios['id']."', onClick='window.open('ejecuta_eliminar_cliente.php?id=".$row_select_usuarios['id']."','window','width=300,height=150'); return false'>Borrar</a>";
		}

	}

}

class todos_menus{

	var $conexionObj2;
	function get_menu($id_menus){
		$this->conexionObj2=new conexion();
		$this->conexionObj2->conectarse();
		$rst_get_usuarios=$this->conexionObj2->consultar("SELECT id, nombre FROM menu ORDER BY nombre");
		while($row_get_usuarios=mysql_fetch_array($rst_get_usuarios)){
			?><option value="<?=$row_get_usuarios['id']?>" <? if ($id_menus==$row_get_usuarios['id']){
			  echo 'selected';}?> ><?=$row_get_usuarios['nombre']?></option>		
			  <? }
	}

}
?>